package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;

public class XWEventLogInfo implements Parcelable {
    public String voicId;
    public String logData;
    public String event;
    public long timeStamp;

    public XWEventLogInfo() {
    }

    protected XWEventLogInfo(Parcel in) {
        voicId = in.readString();
        logData = in.readString();
        event = in.readString();
        timeStamp = in.readLong();
    }

    public static final Parcelable.Creator<XWEventLogInfo> CREATOR = new Parcelable.Creator<XWEventLogInfo>() {
        @Override
        public XWEventLogInfo createFromParcel(Parcel in) {
            return new XWEventLogInfo(in);
        }

        @Override
        public XWEventLogInfo[] newArray(int size) {
            return new XWEventLogInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(voicId);
        dest.writeString(logData);
        dest.writeString(event);
        dest.writeLong(timeStamp);
    }

    @Override
    public String toString() {
        return "XWAIAudioRes{" +
                "voicId=" + voicId +
                ", logData='" + logData + '\'' +
                ", event=" + event +
                ", timeStamp=" + timeStamp +
                '}';
    }
}
